var tmpl=`
<div style="color:#ccc;text-align:center;bottom:60px;right:100px">
  <el-pagination
     @size-change="handleSizeChange"
     @current-change="handleCurrentChange"
     :currentPage="pageInfo.currentPage"
     :page-sizes="pageInfo.pageSizes"
     :page-size="pageInfo.pageSize"
     layout="prev, pager, next"
     :total="pageInfo.total">
  </el-pagination>
</div>
`
module.exports=
`{
   template:'${tmpl}',
   props:['type'],
   data:function(){
     return {
        pageInfo:{
           currentPage:1,
           pageSize:5,
           total:400,
           pageSizes:[5,10,15,20],
        },
     };
   },
   methods:{
     handleSizeChange(val) {
        this.pageInfo.pageSize=val;
        this.$emit("pageChange",this.pageInfo.pageSize,this.pageInfo.currentPage);
     },
     handleCurrentChange(val) {
        this.pageInfo.currentPage=val;
        this.$emit("pageChange",this.pageInfo.pageSize,this.pageInfo.currentPage);
     },
     adjustPageInfo(total){
        this.pageInfo.total=total;
     }
   },
   vname:"gsb-pagination"
}`
